window.onload = function() {
  
  function init() {
	   tizen.systeminfo.getPropertyValue("BATTERY", onSuccessCallbackBattery, onErrorCallbackBattery);
	   tizen.systeminfo.getPropertyValue("CPU", onSuccessCallbackCPU, onErrorCallbackCPU);
	   tizen.systeminfo.getPropertyValue("DISPLAY", onSuccessCallbackDisplay, onErrorCallbackDisplay);
 }
  
  function onSuccessCallbackBattery(battery) {
	 document.getElementById("Battery").textContent = "Battery Level: " + battery.level*100+"%";   
  }
	 
  function onErrorCallbackBattery(error) {
	 document.getElementById("Battery").textContent = "Not supported: " + error.message;
  }
  
  function onSuccessCallbackCPU(cpu) {
	  var cpuU =cpu.load*100;
	  document.getElementById("CPU").textContent = "CPU Uses: " + cpuU.toFixed(2)+"%";
  }
	 
  function onErrorCallbackCPU(error) {
	  document.getElementById("CPU").textContent = "Not supported: " + error.message;
  }
  
  function onSuccessCallbackDisplay(display) {
	  document.getElementById("Display").textContent = "Display Brightness: " + display.brightness*100+"%";
  }
	 
  function onErrorCallbackDisplay(error) {
	  document.getElementById("Display").textContent = "Not supported: " + error.message;
  }
	
  init();
};
